#!/usr/bin/env python
# encoding: utf-8
"""
@author: simin. Gong
@license: (C) Copyright 2013-2023 Spacemit Corporation Limited.
@contact: simin.gong@spacemit.com
@file: User.py
@date: 2024/12/28 15:43 
@desc:
"""

from dataclasses import dataclass

@dataclass
class User:
    normal : list[str]
    admin: str


def auth_user(user: User, token: str):
    if user is None:
        return False
    return token in user.normal or token == user.admin